model HeatTransfer4C
  parameter Integer N = 3;
  annotation(experiment(StartTime = 0.0, StopTime = 10, Tolerance = 0.000001));
  PJLoeslib.Kap18.HeatExchanger heatexchanger2(G = 20, N = N) annotation(Placement(visible = true, transformation(origin = {-12.931,37.6437}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  PJLoeslib.Kap18.HeatExchanger heatexchanger3(G = 20, N = N) annotation(Placement(visible = true, transformation(origin = {22.1264,37.3563}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  PJLoeslib.Kap18.HeatExchanger heatexchanger4(G = 20, N = N) annotation(Placement(visible = true, transformation(origin = {56.8966,37.069}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  PJLoeslib.Kap18.HeatExchanger heatexchanger1(G = 20, N = N) annotation(Placement(visible = true, transformation(origin = {-46.5517,37.6437}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  Thermo.SimpleWaterDevices.FluidSourcePH fluidsourceph1(h = 100000.0) annotation(Placement(visible = true, transformation(origin = {-83.4094,42.8677}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  Thermo.SimpleWaterDevices.FluidSink fluidsink1 annotation(Placement(visible = true, transformation(origin = {91.4727,42.8726}, extent = {{-12,-12},{12,12}}, rotation = 0)));
  Thermo.DryAirDevices.FluidSink fluidsink2 annotation(Placement(visible = true, transformation(origin = {-83.9081,26.7241}, extent = {{12,12},{-12,-12}}, rotation = -180)));
  Thermo.DryAirDevices.FluidSourcePH fluidsourceph2(h = 600000.0, m_flow = 0.01) annotation(Placement(visible = true, transformation(origin = {91.6666,23.5632}, extent = {{12,12},{-12,-12}}, rotation = -180)));
equation
  connect(heatexchanger4.airIn,fluidsourceph2.outflow) annotation(Line(points = {{68.8966,32.269},{75.2874,32.269},{75.2874,23.2759},{85.6666,23.2759},{85.6666,23.5632}}));
  connect(fluidsink1.inflow,heatexchanger4.waterOut) annotation(Line(points = {{85.4727,42.8726},{68.9655,42.8726},{68.9655,42.709},{68.8966,42.709}}));
  connect(fluidsink2.inflow,heatexchanger1.airOut) annotation(Line(points = {{-77.9081,26.7241},{-70.4023,26.7241},{-70.4023,32.7586},{-58.5517,32.7586},{-58.5517,32.8437}}));
  connect(fluidsourceph1.outflow,heatexchanger1.waterIn) annotation(Line(points = {{-77.4094,42.8677},{-58.908,42.8677},{-58.908,43.2837},{-58.5517,43.2837}}));
  connect(heatexchanger3.airIn,heatexchanger4.airOut) annotation(Line(points = {{34.1264,32.5563},{44.5402,32.5563},{44.5402,32.269},{44.8966,32.269}}));
  connect(heatexchanger2.airIn,heatexchanger3.airOut) annotation(Line(points = {{-0.931034,32.8437},{9.77011,32.8437},{9.77011,32.5563},{10.1264,32.5563}}));
  connect(heatexchanger1.airIn,heatexchanger2.airOut) annotation(Line(points = {{-34.5517,32.8437},{-25.2874,32.8437},{-25.2874,32.8437},{-24.931,32.8437}}));
  connect(heatexchanger3.waterOut,heatexchanger4.waterIn) annotation(Line(points = {{34.1264,42.9963},{44.8276,42.9963},{44.8276,42.709},{44.8966,42.709}}));
  connect(heatexchanger2.waterOut,heatexchanger3.waterIn) annotation(Line(points = {{-0.931034,43.2837},{10.0575,43.2837},{10.0575,42.9963},{10.1264,42.9963}}));
  connect(heatexchanger1.waterOut,heatexchanger2.waterIn) annotation(Line(points = {{-34.5517,43.2837},{-25.5747,43.2837},{-25.5747,43.2837},{-24.931,43.2837}}));
end HeatTransfer4C;

